Does Redmine compatible with MySQL 5.7 or not ?
Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.4.4

Description

On page https://github.com/redmine/redmine/blob/master/doc/INSTALL

we can read what Redmine tested with MySQL 5.7 and should work fine with this version.

But on page http://www.redmine.org/projects/redmine/wiki/RedmineInstall

we can read what Redmine is not compatible with MySQL 5.7

Does Redmine compatible with MySQL 5.7 or not ? On which page written truth?

If Redmine is not compatible with MySQL 5.7 - how it is possible to use Redmine with Ubuntu 16.04 ?

Ubuntu 16.04 was packaged with MySQL 5.7 and have no way to use older MySQL version 5.0 - 5.5

Can you please make Redmine fully compatible with MySQL 5.7 ?

Related issues:

Is duplicate of Redmine - Feature #17460: MySQL 5.7 support Closed

History

#1 - 2018-04-10 20:05 - Simon Deziel

Redmine works well with MySQL 5.7. I'm running multiple instances on Ubuntu 16.04 and never ran into a problem.

#2 - 2018-04-11 09:51 - Anonymous

Simon Deziel wrote:

Redmine works well with MySQL 5.7. I'm running multiple instances on Ubuntu 16.04 and never ran into a problem.

 In page http://www.redmine.org/projects/redmine/wiki/RedmineInstall

you can read what Supported database back-ends are only MySQL 5.0 - 5.5

and what MySQL 5.6 or higher and MariaDB have known issues (#19344, #19395, #17460).

Until these issues are not resolved - MySQL 5.7 is not compatible with Redmine 3.4

and MySQL 5.7 is not supported.

#3 - 2019-01-08 06:37 - Marius BĂLTEANU

- Is duplicate of Feature #17460: MySQL 5.7 support added

#4 - 2019-01-08 06:37 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

I’m closing this in favour of #17460.
